classification
Title: imghdr does not support pathlib
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: 4simple-org, berker.peksag, brett.cannon, ethan.furman, ned.deily, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-09-21 07:30 by ethan.furman, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
open-imghdr.stoneleaf.patch ethan.furman, 2016-09-21 07:30 review
issue28228_v2.diff berker.peksag, 2016-09-30 00:23 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (10)
msg277182 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2016-09-21 20:21
Supporting pathlib was one of the requirements of removing the provisional status.  Why have you changed the type to enhancement?
msg277183 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-09-21 20:52
"Removing the provisional status" of what? Pathlib? If so, have you asked Ned if adding support during the beta period is acceptable? This open question is probably why Serhiy changed the type as without Ned's sign-off it means changing something in the stdlib for __fspath__() support is an enhancement and thus needs to be a 3.7 thing. But if Ned allows for classifying the lack of support as a bug then you could classify this a behaviour problem.

I personally view it as an enhancement, but one that we should try to land prior to RC if Ned is okay with that.
msg277301 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-09-23 21:31
Since better pathlib support in standard library modules has been a focus of 3.6, I'm willing to allow this and the related changes for gzip, tarfile, zipfile, bz2, lzma, and compilall (Issue28225 through Issue28231) if thay introduce no backward incompatibilities, are reviewed, and are pushed in time for 360b2.
msg277728 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-09-29 21:09
According to https://www.python.org/dev/peps/pep-0494/#schedule, 2.6.0b2 is due on Sunday. Do you think you will be able to commit this and the other patches for PathLike support by then, Ethan?
msg277732 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-09-30 00:23
Here's a new patch that addresses Serhiy's comments.

Let me know if you need a hand with review and commit these patches this weekend :)
msg277768 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2016-09-30 18:43
Berker, yes please.  I just got back from vacation.
msg277776 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-09-30 22:13
Berker, your patch LGTM
msg277788 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-01 02:00
New changeset 929e3adefe7a by Berker Peksag in branch '3.6':
Issue #28228: imghdr now supports pathlib
https://hg.python.org/cpython/rev/929e3adefe7a

New changeset 013b3b5d3b6c by Berker Peksag in branch 'default':
Issue #28228: Merge from 3.6
https://hg.python.org/cpython/rev/013b3b5d3b6c
msg277789 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-01 02:08
Thanks for the review, Brett!

The next target is gzip module. Thanks for the all patches Ethan :)
msg279945 - (view) Author: Raul (4simple-org) Date: 2016-11-02 21:01
patch for python 2.7
History
Date User Action Args
2017-03-31 16:36:13dstufftsetpull_requests: + pull_request888
2016-11-02 21:01:464simple-orgsetfiles: - imghdr27.patch
2016-11-02 21:01:204simple-orgsetfiles: + imghdr27.patch
nosy: + 4simple-org
messages: + msg279945

2016-10-01 02:08:57berker.peksagsetstatus: open -> closed
type: enhancement -> behavior
messages: + msg277789

resolution: fixed
stage: patch review -> resolved
2016-10-01 02:00:15python-devsetnosy: + python-dev
messages: + msg277788
2016-09-30 22:13:02brett.cannonsetassignee: berker.peksag
messages: + msg277776
2016-09-30 18:43:00ethan.furmansetmessages: + msg277768
2016-09-30 00:23:08berker.peksagsetfiles: + issue28228_v2.diff
nosy: + berker.peksag
messages: + msg277732

2016-09-29 21:09:03brett.cannonsetmessages: + msg277728
2016-09-23 21:31:26ned.deilysetmessages: - msg277300
2016-09-23 21:31:12ned.deilysetmessages: + msg277301
2016-09-23 21:27:03ned.deilysetmessages: + msg277300
versions: + Python 3.7
2016-09-21 20:52:01brett.cannonsetnosy: + ned.deily
messages: + msg277183
2016-09-21 20:21:53ethan.furmansetmessages: + msg277182
2016-09-21 08:43:35serhiy.storchakasettype: behavior -> enhancement
components: + Library (Lib)
2016-09-21 08:43:15serhiy.storchakasetnosy: + serhiy.storchaka
2016-09-21 07:30:06ethan.furmancreate